# -*- coding: utf-8 -*-
# Generated by Django 1.10.6 on 2017-08-03 18:14
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('branch', '0007_auto_20170803_1414'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('forms', '0008_rubric_rubricanswer'),
        ('trunk', '0005_auto_20170624_2100'),
    ]

    operations = [
        migrations.CreateModel(
            name='EventBoard',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Judge',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(default='Judge', max_length=50)),
                ('last_name', models.CharField(default='', max_length=50, null=True)),
                ('email', models.EmailField(max_length=254)),
                ('judge_id', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('passcode', models.CharField(max_length=20)),
                ('has_submitted', models.BooleanField(default=False)),
                ('email_sent', models.BooleanField(default=False)),
                ('applicant_user', models.ManyToManyField(related_name='judge_applicant_user', to='branch.StartupMember')),
            ],
        ),
        migrations.CreateModel(
            name='JudgeBoard',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('passcode', models.CharField(max_length=20, null=True)),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'Judges per Applicant'), (2, 'All for All')], default=2, null=True)),
                ('allotment', models.PositiveIntegerField(null=True)),
                ('deadline', models.DateTimeField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='JudgeReview',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('overall_rank', models.PositiveIntegerField(default=None, null=True)),
                ('score', models.PositiveIntegerField(default=None, null=True)),
                ('comment', models.CharField(max_length=500, null=True)),
                ('personal_notes', models.CharField(max_length=500, null=True)),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'Not Started'), (2, 'In Progress'), (3, 'Complete')], default=None, null=True)),
                ('applicant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='review_applicant', to='branch.StartupMember')),
                ('applicant_venture', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='review_venture', to='branch.Startup')),
            ],
        ),
        migrations.CreateModel(
            name='Round',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.PositiveSmallIntegerField()),
            ],
        ),
        migrations.AddField(
            model_name='event',
            name='admin',
            field=models.ManyToManyField(blank=True, related_name='event_admin', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='event',
            name='event_type',
            field=models.PositiveSmallIntegerField(choices=[(1, 'Career Fair'), (2, 'Conference'), (3, 'Networking'), (4, 'Product Launch'), (5, 'Talk'), (6, 'Workshop'), (7, 'Other')], default=None, null=True),
        ),
        migrations.AddField(
            model_name='event',
            name='event_website',
            field=models.URLField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='event',
            name='industries',
            field=models.ManyToManyField(blank=True, to='branch.Industry'),
        ),
        migrations.AddField(
            model_name='event',
            name='invited_users',
            field=models.ManyToManyField(blank=True, related_name='restricted', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='event',
            name='ticket_website',
            field=models.URLField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='universitystyle',
            name='enable_global_people',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Turn Off'), (1, 'Turn On')], default=1),
        ),
        migrations.AlterField(
            model_name='event',
            name='ratings',
            field=models.ManyToManyField(blank=True, related_name='deprecated', to='trunk.JudgeRating'),
        ),
        migrations.AddField(
            model_name='round',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='round_event', to='trunk.Event'),
        ),
        migrations.AddField(
            model_name='judgereview',
            name='event',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='judge_review', to='trunk.Event'),
        ),
        migrations.AddField(
            model_name='judgereview',
            name='form',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='forms.Form'),
        ),
        migrations.AddField(
            model_name='judgereview',
            name='judge',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='review_judge', to='trunk.Judge'),
        ),
        migrations.AddField(
            model_name='judgeboard',
            name='competition',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.Event'),
        ),
        migrations.AddField(
            model_name='judgeboard',
            name='judges',
            field=models.ManyToManyField(blank=True, related_name='event_judges', to='trunk.Judge'),
        ),
        migrations.AddField(
            model_name='judge',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.Event'),
        ),
        migrations.AddField(
            model_name='judge',
            name='platform',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.University'),
        ),
        migrations.AddField(
            model_name='judge',
            name='profile',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='judge_startupmember', to='branch.StartupMember'),
        ),
        migrations.AddField(
            model_name='judge',
            name='ratings',
            field=models.ManyToManyField(related_name='judge_all_ratings', to='trunk.JudgeReview'),
        ),
        migrations.AddField(
            model_name='eventboard',
            name='root',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.Event'),
        ),
        migrations.AddField(
            model_name='eventboard',
            name='rounds',
            field=models.ManyToManyField(blank=True, to='trunk.Round'),
        ),
        migrations.AddField(
            model_name='event',
            name='event_board',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='trunk.EventBoard'),
        ),
        migrations.AddField(
            model_name='event',
            name='judge_board',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='trunk.JudgeBoard'),
        ),
    ]
